Create a UUID-based table reference column
Create a UUID-based table reference column for relationships with UUID primary keys
Authentication: required
Required API Scope: Workspace Database: Create
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
schema
/
type
/
tablerefuuid
Create a UUID-based table reference column
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/tablerefuuid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "user_id",
"tableref_id": 101
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/tablerefuuid"
payload = {
"name": "user_id",
"tableref_id": 101
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'user_id', tableref_id: 101})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/tablerefuuid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonmultipart/form-data
Response
Success!
Was this page helpful?
⌘I
Create a UUID-based table reference column
